package com.zcloud.mapper.datasource.specheck;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

public interface SpeCheckTaskMapper {

    void save(PageData pageData);

    PageData findById(PageData pageData);

    List<PageData> datalistPage(Page page);

    List<PageData> getCheckCount(List<String> taskIdList);

    List<PageData> listAllTask(PageData pageData);

    int saveByBatch(List<PageData> taskList);

    List<PageData> getCheckSourcelistPage(Page page);

    void finishTask(PageData data);

}
